<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

//require_once 'Pager.php';

/**
 * 予約一覧（未発送管理）
 *
 * @package     Admin_Ordermanage_Untrans
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Ordermanage_Untrans
{
    var $orderview;
    var $pagename;
    var $title;
    
    var $disp_select;   // 動作選択
    var $disp_day;      // 表示する日数
    
    var $itemlist;
    var $orderlist;
    
    var $untrans;
    
    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Ordermanage_Untransが実行されました", "Admin_Ordermanage_Untrans#execute");
        
        if (!empty($this->disp_select) && !empty($this->disp_day) && is_numeric($this->disp_day)){
            // 発売日よりxx日前のものを表示（今日を基点にxx日先のもの）
            $this->itemlist = $this->orderview->getReserveItemList($this->disp_day);
            $this->orderlist = $this->orderview->getReserveOrderList();
        } else {
            // 発売日を過ぎたものを表示
            $this->itemlist = $this->orderview->getReserveItemList();
            $this->orderlist = $this->orderview->getReserveOrderList();
            
            $this->disp_select = "";
            $this->disp_day = "";
        }
        
        return 'success';
    }
    
}
?>
